# Adobe 프로그램 방화벽 차단 스크립트 (하위 디렉토리 포함)

# Adobe 설치 경로
$BasePath = "C:\Program Files (x86)\Common Files\Adobe"

# 하위 디렉토리의 모든 .exe 파일 가져오기
$Executables = Get-ChildItem -Path $BasePath -Recurse -Filter "*.exe" | Select-Object -ExpandProperty FullName

# 각 실행 파일에 대해 방화벽 규칙 추가
foreach ($Exe in $Executables) {
    # 인바운드 트래픽 차단
    New-NetFirewallRule -DisplayName "Block Adobe Inbound - $Exe" `
        -Direction Inbound `
        -Action Block `
        -Program $Exe `
        -Profile Any

    # 아웃바운드 트래픽 차단
    New-NetFirewallRule -DisplayName "Block Adobe Outbound - $Exe" `
        -Direction Outbound `
        -Action Block `
        -Program $Exe `
        -Profile Any
}

Write-Output "Adobe 관련 모든 실행 파일을 방화벽에서 차단했습니다."
